/* ////////////////////////////////////
//// BELOW 1344px (smaller desktops////
/////////////////////////////////////*/

@media (max-width: 84em) {
  .services-card {
    /* width: 36rem; */
  }
  .services-card-text-item {
    font-size: 2rem;
  }
  .areas-covered {
    width: 36rem;
  }
}

/* ////////////////////////////////////
//// BELOW 1200px (Landscape Tablets)////
/////////////////////////////////////*/

@media (max-width: 75em) {
  html {
    font-size: 50%;
  }
  .grid-3-cols {
    gap: 0.8rem;
    row-gap: 2rem;
    grid-template-columns: 1fr 1fr;
  }

  .services-card-title.area-card-title {
    text-align: center;
  }
  .areas-covered {
    grid-column: -3 / 3;
    justify-self: center;
    align-items: center;
  }
  .services-text-list.areas-text-list {
    flex-direction: row;
  }
  .testimonials {
    column-gap: 4rem;
  }
  .section-testimonial {
    display: inline-block;
    width: 100vw;
  }
  .header {
    padding: 0 0.8rem;
  }
  .text-logo-box {
    padding: 0.9rem;
  }
  .areas-covered {
    margin-top: 2.4rem;
  }
}

/* ////////////////////////////////////
//// BELOW 944px (Tablets)////
/////////////////////////////////////*/

@media (max-width: 60em) {
  .heading-secondary {
    margin-bottom: 3.2rem;
  }

  .testimonial-sub-heading {
    margin-top: 0;
  }

  .hero {
    grid-template-columns: 1fr;
    padding: 0 8rem;
    margin-bottom: 3.6rem;
    gap: 1rem;
    text-align: center;
  }

  .hero-description {
    margin-bottom: 1.4rem;
  }

  .hero-img-box {
    /* display: inline-block; */
  }
  .hero-img {
    display: block;
    width: 75%;
    margin: 0 auto;
  }

  .usp-text-box {
    padding: 0 4rem;
    flex-direction: column;
  }
  /* Mobile Navigation */
  .mobile-nav-btn {
    display: block;
    z-index: 9999;
  }

  .main-nav {
    background-color: rgba(255, 255, 255, 0.961);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* Hide the navigation */
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .nav-open .mobile-nav-icon[name="close-outline"] {
    display: block;
  }

  .nav-open .mobile-nav-icon[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 2.3rem;
  }
}

@media (max-width: 47em) {
  .grid-3-cols {
    display: flex;
    flex-direction: column;
  }

  .services-text-list.areas-text-list {
    flex-direction: column;
  }
  .areas-covered {
    align-self: center;
  }
  .usp-text-box {
    text-align: center;
  }

  .studiobox-logo {
    width: 50%;
  }
}

@media (max-width: 34em) {
  .hero {
    padding: 0 3rem;
  }
  .grid-footer {
    grid-template-columns: 1fr;
  }
  .studiobox-logo {
    width: 15%;
  }

  .testimonials {
    grid-template-columns: 1fr;
  }
}
